Package Details: gnome-passwordsafe-git 3.31.2-2

Git Clone URL: https://aur.archlinux.org/keepassgtk.git (read-only)
Package Base: keepassgtk
Description: A password manager for GNOME - Git version
Upstream URL: https://gitlab.gnome.org/World/PasswordSafe
Licenses: GPL3
Conflicts: gnome-passwordsafe
Submitter: FalkAlexander
Maintainer: FalkAlexander
Last Packager: FalkAlexander
Votes: 0
Popularity: 0.000000
First Submitted: 2018-05-27 23:16
Last Updated: 2018-11-13 18:00

Latest Comments

1 2 Next › Last »

kemuel commented on 2019-04-09 11:23

Missing dependency: python-future It would not run until I installed that

FalkAlexander commented on 2018-09-02 18:52

rafaelff: I thought about this already and decided to do this with the stable release. Thanks for the dependency tip, python-construct is now added.

rafaelff commented on 2018-09-02 18:43

How about creating another git repository called 'gnome-passwordsafe-git' and then file a merge request? Would sound better then using the old name 'keepassgtk'.

Also, python-construct should be in depends, as reported in https://gitlab.gnome.org/World/PasswordSafe/issues/38

gnacho commented on 2018-08-28 13:11

fatal: unable to connect to gitlab.gnome.org: gitlab.gnome.org[0: 209.132.180.181]: errno=No existe ninguna ruta hasta el `host'

==> Found git repo: gitlab.gnome.org/World/PasswordSafe.git

This is what I got since yesterday, weird cause GNOME gitlab seems to be working fine.

aur_flagger commented on 2018-08-28 09:32

FalkAlexander: Nice! Haha, just tried it now and it worked. There is no update available anymore! Glad you sorted it out easily. Thank you.

FalkAlexander commented on 2018-08-28 09:29

aur_flagger: That was because of the missing 0.9.3 version tag in the git repository, I've fixed this now, pkgver will now return the correct version.

aur_flagger commented on 2018-08-28 09:27

FalkAlexander: That's weird, I just checked the About page and the version is correct 0.93. I am not sure anymore, maybe it is an issue with yay. Something strange seems to have happened when the name changed from keepassgtk and then the dependencies were updated as well on top of that.

aur_flagger commented on 2018-08-28 09:24

FalkAlexander: Yes the program starts and works as expected. It just seems to be stuck in some sort of always an update is available situation for some weird reason.

FalkAlexander commented on 2018-08-28 09:18

aur_flagger: Then the installation procedure was successfull, I don't know why this "unable to connect" error appears, obviously the server under this ip is not offline. Does Password Safe start correctly? If not, please run it in the terminal and post the error messages from the python interpreter here.

aur_flagger commented on 2018-08-28 09:14

@FalkAlexander

Thank you for your reply, unfortunately the issue persists.

Once the installation is completed (seems to complete successfully) running yay -Syu again prompts me to update again.

As instructed I did sudo pacman -Rss python-pykeepass-git gnome-passwordsafe-git (python-pykeepass and python-libkeepass are not installed on my system, they possibly got removed when the dependencies changed to the git versions)

Then proceeded to install yay -S gnome-passwordsage-git

The installation seems to go smoothly but I get some errors at the end

:: Processing package changes...
(1/1) installing gnome-passwordsafe-git                                                         [--------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/3) Compiling GSettings XML schema files...
(2/3) Arming ConditionNeedsUpdate...
(3/3) Updating the desktop file MIME type cache...
fatal: unable to connect to gitlab.gnome.org:
gitlab.gnome.org[0: 209.132.180.181]: errno=No route to host

Also it looks like yay cannot see the new version? 0.93.2

Package (1)             New Version            Net Change

gnome-passwordsafe-git  0.9.2.r180.g812291c-1    0.60 MiB

Total Installed Size:  0.60 MiB

Saying that during package making the version seems correct..

==> Cleaning up...
==> Making package: gnome-passwordsafe-git 0.9.3-2 (Tue 28 Aug 2018 06:10:35 PM JST)
==> Retrieving sources...